scala.tools.ant.sabbus

# ScalacFork

###
Related Doc: package sabbus

#### class ScalacFork extends ScalaMatchingTask with ScalacShared with TaskArgs

An Ant task to compile with the new Scala compiler (NSC).

This task can take the following parameters as attributes:

- `srcdir` (mandatory),
- `failonerror`,
- `timeout`,
- `jvmargs`,
- `argfile`,
- `params`.

It also takes the following parameters as nested elements:

- `src` (for `srcdir`),
- `classpath`,
- `sourcepath`,
- `bootclasspath`,
- `extdirs`,
- `compilerarg`.

Source
  ScalacFork.scala

Linear Supertypes
TaskArgs, CompilationPathProperty, ScalacShared, ScalaMatchingTask, ScalaTask, MatchingTask, SelectorContainer, Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScalacFork
2. TaskArgs
3. CompilationPathProperty
4. ScalacShared
5. ScalaMatchingTask
6. ScalaTask
7. MatchingTask
8. SelectorContainer
9. Task
10. ProjectComponent
11. Cloneable
12. AnyRef
13. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ScalacFork()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ScalacFork to any2stringadd[ScalacFork] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ScalacFork, B)

   Implicit information
     This member is added by an implicit conversion from ScalacFork to ArrowAssoc[ScalacFork] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### val MainClass: String

   Definition Classes
     ScalacShared

7. #### def XsetIgnore(arg0: String): Unit

   Definition Classes
     MatchingTask

8. #### def XsetItems(arg0: String): Unit

   Definition Classes
     MatchingTask

9. #### def add(arg0: FileSelector): Unit

   Definition Classes
     MatchingTask → SelectorContainer

10. #### def addAnd(arg0: AndSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

11. #### def addContains(arg0: ContainsSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

12. #### def addContainsRegexp(arg0: ContainsRegexpSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

13. #### def addCustom(arg0: ExtendSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

14. #### def addDate(arg0: DateSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

15. #### def addDepend(arg0: DependSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

16. #### def addDepth(arg0: DepthSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

17. #### def addDifferent(arg0: DifferentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

18. #### def addFilename(arg0: FilenameSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

19. #### def addMajority(arg0: MajoritySelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

20. #### def addModified(arg0: ModifiedSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

21. #### def addNone(arg0: NoneSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

22. #### def addNot(arg0: NotSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

23. #### def addOr(arg0: OrSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

24. #### def addPresent(arg0: PresentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

25. #### def addSelector(arg0: SelectSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

26. #### def addSize(arg0: SizeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

27. #### def addType(arg0: TypeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

28. #### def appendSelector(arg0: FileSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

29. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

30. #### final def bindToOwner(arg0: Task): Unit

    Definition Classes
      Task

31. #### def buildError(message: String): Nothing

    Generates a build error.

    Generates a build error. Error location will be the current task in the ant file.

    message

      A message describing the error.

    Attributes
      protected
    Definition Classes
      ScalaTask
    Exceptions thrown

      `BuildException` A build error exception thrown in every case.

32. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      ProjectComponent → AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

33. #### var compTarget: Option[String]

    Attributes
      protected
    Definition Classes
      TaskArgs

34. #### var compilationPath: Option[Path]

    Attributes
      protected
    Definition Classes
      CompilationPathProperty

35. #### var compilerPath: Option[Path]

    Attributes
      protected
    Definition Classes
      TaskArgs

36. #### def createCompilationPath: Path

    Definition Classes
      CompilationPathProperty

37. #### def createCompilerArg(): Argument

    Definition Classes
      TaskArgs

38. #### def createCompilerPath: Path

    Definition Classes
      TaskArgs

39. #### def createExclude(): NameEntry

    Definition Classes
      MatchingTask

40. #### def createExcludesFile(): NameEntry

    Definition Classes
      MatchingTask

41. #### def createInclude(): NameEntry

    Definition Classes
      MatchingTask

42. #### def createIncludesFile(): NameEntry

    Definition Classes
      MatchingTask

43. #### def createPatternSet(): PatternSet

    Definition Classes
      MatchingTask

44. #### def createSrcPath: Path

    Definition Classes
      TaskArgs

45. #### var destinationDir: Option[File]

    Attributes
      protected
    Definition Classes
      TaskArgs

46. #### def ensuring(cond: (ScalacFork) ⇒ Boolean, msg: ⇒ Any): ScalacFork

    Implicit information
      This member is added by an implicit conversion from ScalacFork to Ensuring[ScalacFork] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

47. #### def ensuring(cond: (ScalacFork) ⇒ Boolean): ScalacFork

    Implicit information
      This member is added by an implicit conversion from ScalacFork to Ensuring[ScalacFork] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

48. #### def ensuring(cond: Boolean, msg: ⇒ Any): ScalacFork

    Implicit information
      This member is added by an implicit conversion from ScalacFork to Ensuring[ScalacFork] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

49. #### def ensuring(cond: Boolean): ScalacFork

    Implicit information
      This member is added by an implicit conversion from ScalacFork to Ensuring[ScalacFork] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

50. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

51. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

52. #### def execWithArgFiles(java: Java, paths: List[String]): Int

    Definition Classes
      ScalacShared

53. #### def execute(): Unit

    Definition Classes
      ScalacFork → Task

54. #### var extraArgs: Seq[Argument]

    Attributes
      protected
    Definition Classes
      TaskArgs

55. #### def extraArgsFlat: Seq[String]

    Definition Classes
      TaskArgs

56. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

57. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ScalacFork to StringFormat[ScalacFork] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

58. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

59. #### def getDescription(): String

    Definition Classes
      ProjectComponent

60. #### def getDirectoryScanner(arg0: File): DirectoryScanner

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

61. #### final def getImplicitFileSet(): FileSet

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

62. #### def getLocation(): Location

    Definition Classes
      ProjectComponent

63. #### def getOwningTarget(): Target

    Definition Classes
      Task

64. #### def getProject(): Project

    Definition Classes
      ProjectComponent

65. #### def getRuntimeConfigurableWrapper(): RuntimeConfigurable

    Definition Classes
      Task

66. #### def getSelectors(arg0: Project): Array[FileSelector]

    Definition Classes
      MatchingTask → SelectorContainer

67. #### def getTaskName(): String

    Definition Classes
      Task

68. #### def getTaskType(): String

    Definition Classes
      Task

69. #### def getWrapper(): RuntimeConfigurable

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

70. #### def handleErrorFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

71. #### def handleErrorOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

72. #### def handleFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

73. #### def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
    Annotations
      @throws( classOf[java.io.IOException] )

74. #### def handleOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

75. #### def hasSelectors(): Boolean

    Definition Classes
      MatchingTask → SelectorContainer

76. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

77. #### var id: Option[String]

    Attributes
      protected
    Definition Classes
      TaskArgs

78. #### def init(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

79. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

80. #### final def isInvalid(): Boolean

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

81. #### def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit

    Definition Classes
      Task

82. #### def log(arg0: java.lang.Throwable, arg1: Int): Unit

    Definition Classes
      Task

83. #### def log(arg0: String, arg1: Int): Unit

    Definition Classes
      Task → ProjectComponent

84. #### def log(arg0: String): Unit

    Definition Classes
      Task → ProjectComponent

85. #### def maybeConfigure(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

86. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

87. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

88. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

89. #### final def perform(): Unit

    Definition Classes
      Task

90. #### def reconfigure(): Unit

    Definition Classes
      Task

91. #### def selectorCount(): Int

    Definition Classes
      MatchingTask → SelectorContainer

92. #### def selectorElements(): java.util.Enumeration[FileSelector]

    Definition Classes
      MatchingTask → SelectorContainer

93. #### def setArgfile(input: File): Unit

    Sets the `argfile` attribute.

    Sets the `argfile` attribute. Used by Ant.

    input

      The value of `argfile`.

94. #### def setCaseSensitive(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

95. #### def setCompilationPath(input: Path): Unit

    Definition Classes
      CompilationPathProperty

96. #### def setCompilationPathRef(input: Reference): Unit

    Definition Classes
      CompilationPathProperty

97. #### def setCompilerPath(input: Path): Unit

    Definition Classes
      TaskArgs

98. #### def setCompilerPathRef(input: Reference): Unit

    Definition Classes
      TaskArgs

99. #### def setDefaultexcludes(arg0: Boolean): Unit

    Definition Classes
      MatchingTask

100. #### def setDescription(arg0: String): Unit

     Definition Classes
       ProjectComponent

101. #### def setDestdir(input: File): Unit

     Definition Classes
       TaskArgs

102. #### def setExcludes(arg0: String): Unit

     Definition Classes
       MatchingTask

103. #### def setExcludesfile(arg0: File): Unit

     Definition Classes
       MatchingTask

104. #### def setFailOnError(input: Boolean): Unit

     Sets the `failonerror` attribute.

     Sets the `failonerror` attribute. Used by Ant.

     input

       The value of `failOnError`.

105. #### def setFollowSymlinks(arg0: Boolean): Unit

     Definition Classes
       MatchingTask

106. #### def setId(input: String): Unit

     Definition Classes
       TaskArgs

107. #### def setIncludes(arg0: String): Unit

     Definition Classes
       MatchingTask

108. #### def setIncludesfile(arg0: File): Unit

     Definition Classes
       MatchingTask

109. #### def setJvmArgs(input: String): Unit

     Sets the `jvmargs` attribute.

     Sets the `jvmargs` attribute. Used by Ant.

     input

       The value of `jvmArgs`.

110. #### def setLocation(arg0: Location): Unit

     Definition Classes
       ProjectComponent

111. #### def setOwningTarget(arg0: Target): Unit

     Definition Classes
       Task

112. #### def setParams(input: String): Unit

     Definition Classes
       TaskArgs

113. #### def setProject(arg0: Project): Unit

     Definition Classes
       MatchingTask → ProjectComponent

114. #### def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit

     Definition Classes
       Task

115. #### def setSrcPath(input: Path): Unit

     Definition Classes
       TaskArgs

116. #### def setSrcPathRef(input: Reference): Unit

     Definition Classes
       TaskArgs

117. #### def setSrcdir(input: File): Unit

     Sets the `srcdir` attribute.

     Sets the `srcdir` attribute. Used by Ant.

     input

       The value of `sourceDir`.

118. #### def setTarget(input: String): Unit

     Definition Classes
       TaskArgs

119. #### def setTaskName(arg0: String): Unit

     Definition Classes
       Task

120. #### def setTaskType(arg0: String): Unit

     Definition Classes
       Task

121. #### def setTimeout(input: Long): Unit

     Sets the `timeout` attribute.

     Sets the `timeout` attribute. Used by Ant.

     input

       The value of `timeout`.

122. #### var sourcePath: Option[Path]

     Attributes
       protected
     Definition Classes
       TaskArgs

123. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

124. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       AnyRef → Any

125. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

126. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

127. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

128. #### def →[B](y: B): (ScalacFork, B)

     Implicit information
       This member is added by an implicit conversion from ScalacFork to ArrowAssoc[ScalacFork] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Inherited from TaskArgs

### Inherited from CompilationPathProperty

### Inherited from ScalacShared

### Inherited from ScalaMatchingTask

### Inherited from ScalaTask

### Inherited from MatchingTask

### Inherited from SelectorContainer

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ScalacFork to any2stringadd[ScalacFork]

### Inherited by implicit conversion StringFormat from ScalacFork to StringFormat[ScalacFork]

### Inherited by implicit conversion Ensuring from ScalacFork to Ensuring[ScalacFork]

### Inherited by implicit conversion ArrowAssoc from ScalacFork to ArrowAssoc[ScalacFork]

### Ungrouped